summaryrefslogtreecommitdiffstats
path: root/libraries/X11-haskell
diff options
context:
space:
mode:
author Mikko Varri <vmj@linuxbox.fi>2010-05-12 23:29:51 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:51 +0200
commit0a184afde9741edc40e81d2fd459746f618ed17f (patch)
treea43deda04d46a3c56157343622b6a2f728c48ecd /libraries/X11-haskell
parent3369ad4e3167e34053a9e0070e40a30cd29a35b3 (diff)
downloadslackbuilds-0a184afde9741edc40e81d2fd459746f618ed17f.tar.gz
slackbuilds-0a184afde9741edc40e81d2fd459746f618ed17f.tar.xz
libraries/X11-haskell: Added to 12.2 repository
Diffstat (limited to 'libraries/X11-haskell')
-rw-r--r--libraries/X11-haskell/README7
-rw-r--r--libraries/X11-haskell/X11-haskell.SlackBuild71
-rw-r--r--libraries/X11-haskell/X11-haskell.info8
-rw-r--r--libraries/X11-haskell/doinst.sh4
-rw-r--r--libraries/X11-haskell/slack-desc19
5 files changed, 109 insertions, 0 deletions
diff --git a/libraries/X11-haskell/README b/libraries/X11-haskell/README
new file mode 100644
index 0000000000..54b117c14b
--- /dev/null
+++ b/libraries/X11-haskell/README
@@ -0,0 +1,7 @@
+X11-haskell (A Haskell binding to the X11 graphics library)
+
+The binding is a direct translation of the C binding; for
+documentation of these calls, refer to The Xlib Programming Manual,
+available online at http://tronche.com/gui/x/xlib/.
+
+This requires ghc from SlackBuilds.org.
diff --git a/libraries/X11-haskell/X11-haskell.SlackBuild b/libraries/X11-haskell/X11-haskell.SlackBuild
new file mode 100644
index 0000000000..51a3dcd619
--- /dev/null
+++ b/libraries/X11-haskell/X11-haskell.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for X11-haskell
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=X11-haskell
+VERSION=${VERSION:-1.4.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARNAM=X11
+GHC_VERSION=$(ghc-pkg field ghc version | cut -d' ' -f2)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM-$VERSION
+tar xvf $CWD/$TARNAM-$VERSION.tar.gz
+cd $TARNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runhaskell Setup.hs configure \
+ --prefix=/usr \
+ --libdir=/usr/lib/ghc-$GHC_VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runhaskell Setup.hs build
+runhaskell Setup.hs copy --destdir=$PKG
+runhaskell Setup.hs register --gen-script
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mv $TMP/$TARNAM-$VERSION/register.sh $PKG/install/register.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/libraries/X11-haskell/X11-haskell.info b/libraries/X11-haskell/X11-haskell.info
new file mode 100644
index 0000000000..93df483aa1
--- /dev/null
+++ b/libraries/X11-haskell/X11-haskell.info
@@ -0,0 +1,8 @@
+PRGNAM="X11-haskell"
+VERSION="1.4.5"
+HOMEPAGE="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/X11"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/X11/1.4.5/X11-1.4.5.tar.gz"
+MD5SUM="73a4ba56b8cef69ce3659ab452e4530b"
+MAINTAINER="Mikko Varri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/libraries/X11-haskell/doinst.sh b/libraries/X11-haskell/doinst.sh
new file mode 100644
index 0000000000..87825cdcca
--- /dev/null
+++ b/libraries/X11-haskell/doinst.sh
@@ -0,0 +1,4 @@
+chroot . sh /install/register.sh
+rm -f install/register.sh
+rmdir install 2>/dev/null
+
diff --git a/libraries/X11-haskell/slack-desc b/libraries/X11-haskell/slack-desc
new file mode 100644
index 0000000000..bfc90917cf
--- /dev/null
+++ b/libraries/X11-haskell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+X11-haskell: X11-haskell (A Haskell binding to the X11 graphics library)
+X11-haskell:
+X11-haskell: The binding is a direct translation of the C binding; for
+X11-haskell: documentation of these calls, refer to The Xlib Programming Manual,
+X11-haskell: available online at http://tronche.com/gui/x/xlib/.
+X11-haskell:
+X11-haskell: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/X11
+X11-haskell:
+X11-haskell:
+X11-haskell:
+X11-haskell: